import request from '@/utils/request'

// 查询事故记录列表
export function listAccident(query) {
  return request({
    url: '/shiftmgr/accident/list',
    method: 'get',
    params: query
  })
}

// 查询事故记录详细
export function getAccident(id) {
  return request({
    url: '/shiftmgr/accident/' + id,
    method: 'get'
  })
}

// 新增事故记录
export function addAccident(data) {
  return request({
    url: '/shiftmgr/accident',
    method: 'post',
    data: data
  })
}

// 修改事故记录
export function updateAccident(data) {
  return request({
    url: '/shiftmgr/accident',
    method: 'put',
    data: data
  })
}

// 删除事故记录
export function delAccident(id) {
  return request({
    url: '/shiftmgr/accident/' + id,
    method: 'delete'
  })
}

// 导出事故记录
export function exportAccident(query) {
  return request({
    url: '/shiftmgr/accident/export',
    method: 'get',
    params: query
  })
}